Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.conf
Enum IndexRightBetaMemoryOption

    java.lang.Object
      java.lang.Enum<IndexRightBetaMemoryOption>
          org.drools.conf.IndexRightBetaMemoryOption

All Implemented Interfaces:
  Serializable, Comparable<IndexRightBetaMemoryOption>, KnowledgeBaseOption, Option, SingleValueKnowledgeBaseOption

    public enum IndexRightBetaMemoryOption

extends Enum<IndexRightBetaMemoryOption>
implements SingleValueKnowledgeBaseOption

An Enum for indexRightBetaMemory option. drools.indexRightBetaMemory = <true|false> DEFAULT = true

Enum Constant Summary
`NO`
`YES`

Field Summary
`static String` | `PROPERTY_NAME` The property name for the share beta nodes option

Method Summary
`String` | `getPropertyName()` Returns the property name for this option
`boolean` | `isIndexRightBetaMemory()`
`static IndexRightBetaMemoryOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IndexRightBetaMemoryOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### YES

    public static final IndexRightBetaMemoryOption YES

### NO

    public static final IndexRightBetaMemoryOption NO

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the share beta nodes option

  See Also:
    Constant Field Values

Method Detail

### values

    public static IndexRightBetaMemoryOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IndexRightBetaMemoryOption c : IndexRightBetaMemoryOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IndexRightBetaMemoryOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### isIndexRightBetaMemory

    public boolean isIndexRightBetaMemory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.